> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Common API — Merchant Payment Config

> Common API — Merchant Payment Config (POST /common/payment/config): Query merchant available payment configuration by application ID, including payment methods, fee rates, settlement periods, etc. Key request parameters include appId, sign.

> [!NOTE]
>
> All example requests on this page are based on the **sandbox (test) environment**. Please be careful to distinguish it from the production environment.

#### Secret Key & Private Key (Generate Signature)

## Related Topics

* [Common API](https://doc.haipay.net/en/api-reference/overview.md#public-interfaces)
* [HaiPay API Reference Overview](https://doc.haipay.net/en/api-reference/overview.md)
* [HaiPay Configuration and Signature Guide](https://doc.haipay.net/en/get-started/configuration-and-signatures.md)
* [Account Inquiry](https://doc.haipay.net/en/operations/account-query.md)
* [Look Up API Response Structure and Error Codes](https://doc.haipay.net/en/resources/error-responses.md)


## OpenAPI

````yaml docs/en/api-reference/common/common.openapi.json POST /common/payment/config
openapi: 3.1.0
info:
  title: Common API
  description: >-
    HaiPay common APIs for account query, statement file download, payout
    voucher, exchange rate query, voucher PDF, and merchant payment config.
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /common/payment/config:
    post:
      tags: []
      summary: Merchant Payment Config
      description: >-
        Query merchant available payment configuration by application ID,
        including payment methods, fee rates, settlement periods, etc.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: Application ID (required)
                  format: int64
                tranType:
                  type: string
                  description: >-
                    Payment type (optional, e.g. BANK_ACCOUNT, BANK_CARD,
                    EWALLET). Filters by payment type if provided.
                transaction:
                  type: string
                  description: >-
                    Transaction type (optional, pay=payout, collect=collection).
                    Filters by transaction type if provided.
                sign:
                  type: string
                  description: Signature (required)
              required:
                - appId
                - sign
            example:
              appId: 1054
              tranType: BANK_ACCOUNT
              transaction: pay
              sign: >-
                af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Status code
                  error:
                    type: string
                    description: Error code
                  msg:
                    type: string
                    description: Message
                  data:
                    type: object
                    properties:
                      userId:
                        type: integer
                        description: User ID
                        format: int64
                      configs:
                        type: array
                        description: Configuration list
                        items:
                          type: object
                          properties:
                            appId:
                              type: integer
                              description: Application ID
                              format: int64
                            appName:
                              type: string
                              description: Application name
                            tranCode:
                              type: string
                              description: 'Transaction type: pay=payout, collect=collection'
                            tranType:
                              type: string
                              description: Payment type (transaction method)
                            currNo:
                              type: string
                              description: Currency code (e.g. USD, CNY)
                            payMethods:
                              type: array
                              description: Payment method list
                              items:
                                type: object
                                properties:
                                  inBankCode:
                                    type: string
                                    description: Payment method code
                                  name:
                                    type: string
                                    description: Payment method name
                                  limit:
                                    type: object
                                    description: Limit information
                                    properties:
                                      singleMinAmount:
                                        type: string
                                        description: Minimum single amount
                                      singleMaxAmount:
                                        type: string
                                        description: Maximum single amount
                            feeRate:
                              type: object
                              description: Fee rate information
                              properties:
                                feeType:
                                  type: integer
                                  description: >-
                                    Fee collection method: 0=external deduction,
                                    1=internal deduction
                                feeMode:
                                  type: integer
                                  description: >-
                                    Fee collection type: 0=rate, 1=per
                                    transaction, 2=tiered, 3=floor price
                                feeRate:
                                  type: string
                                  description: Fee rate
                                feeFixedValue:
                                  type: string
                                  description: Fixed fee
                                degrees:
                                  type: array
                                  description: Tiered fee rate list (when fee_mode=2)
                                  items:
                                    type: object
                                    properties:
                                      start:
                                        type: integer
                                        description: Range start
                                        format: int64
                                      end:
                                        type: integer
                                        description: Range end
                                        format: int64
                                      value:
                                        type: string
                                        description: Range value (tiered fee rate)
                                      name:
                                        type: string
                                        description: Range name
                            settlement:
                              type: object
                              description: Settlement information
                              properties:
                                stlMode:
                                  type: string
                                  description: >-
                                    Settlement method: D0=natural day,
                                    TN=working day, WN=weekly, MN=monthly
                                stlCycle:
                                  type: integer
                                  description: Settlement cycle value
                            supportRefund:
                              type: boolean
                              description: Whether refund is supported
                      sign:
                        type: string
                        description: Signature
                    additionalProperties: false
              example:
                status: '1'
                error: '00000000'
                msg: success
                data:
                  userId: 10001
                  configs:
                    - appId: 1054
                      appName: My App
                      tranCode: pay
                      tranType: BANK_ACCOUNT
                      currNo: USD
                      payMethods:
                        - inBankCode: PIX
                          name: Bank Transfer
                          limit:
                            singleMinAmount: '1.00'
                            singleMaxAmount: '50000.00'
                      feeRate:
                        feeType: 0
                        feeMode: 0
                        feeRate: '0.025'
                        feeFixedValue: '0.00'
                        degrees:
                          - start: 0
                            end: 0
                            value: ''
                            name: Bank Transfer
                      settlement:
                        stlMode: D0
                        stlCycle: 0
                      supportRefund: true
                  sign: >-
                    af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
          headers: {}
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.